### Function

# Gsk PathIntersectionFunc

since: 4.20

#### Declaration

    gboolean
    (* GskPathIntersectionFunc) (
      GskPath* path1,
      const GskPathPoint* point1,
      GskPath* path2,
      const GskPathPoint* point2,
      GskPathIntersection kind,
      gpointer user_data
    )

#### Description [src]

Prototype of the callback to iterate through the intersections of two paths.

Available since: 4.20

#### Parameters

`path1`

  Type: `GskPath`

  The first path.

  The data is owned by the caller of the function.

`point1`

  Type: `GskPathPoint`

  The intersection as point on `path1`.

  The data is owned by the caller of the function.

`path2`

  Type: `GskPath`

  The second path.

  The data is owned by the caller of the function.

`point2`

  Type: `GskPathPoint`

  The intersection as point on `path2`.

  The data is owned by the caller of the function.

`kind`

  Type: `GskPathIntersection`

  The nature of the intersection.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

True to continue iterating, false to stop the iteration and not call the function again.